#!/bin/bash

# This script written by Shane Daley M0VUB. The script gracefully shutdown services while services are updated.
# We can also add items in this script for future use like updates or further log trims.
# Run start to execute a full server startup (backend)

#   Copyright (C) 2020 Shane P, Daley  M0VUB <support@gb7nr.co.uk>
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

# This script is for FreeDMR / SYSTEM X Server only which has been installed from docker_install.sh. It is NOT to be used for DOCKER-COMPOSE.
# NOT TO BE USED FOR DOCKER-COMPOSE INSTALL! PLEASE USE ALTERNATIVE UPDATE SCRIPT FOR FreeDMR / SYSTEM-X THAT HAS BEEN INSTALLED WITH DOCKER-COMPOSE.

echo Starting FreeDMR.....
sleep 3
echo .
sleep 1
echo ..
sleep 1
echo ...
sleep 1
echo ....
docker container start freedmr &&
figlet "FreeDMR." &&
sleep 2
echo Flushing NAT tracking table.....
conntrack -F &&
sleep 1
echo checking container is up.....
sleep 2
docker ps
echo Checking for startup errors.....
sleep 1
docker container logs freedmr &&
echo Done.

# This script has been developed by the one and only ShaYmez. Visit https://repo.radio/ShaYmez for more super scripts!